読者です 読者をやめる 読者になる 読者になる

Windows Server 2008

Windows Server 2003 R2のプリインストールのサーバの販売が3月末で終了するようで、そろそろ新規のサーバは2008にする必要がでていました(2008プリインストールにして、ダウングレード権を使って2003にするということもできますが)。

私が使っているサーバ系のソフトウェアについて動作確認をしました。2008のベースはVistaと同じなので、基本的に同じような問題がありました。

SQL Server

いまさらSQL Server 2000というのもよくないですが、SQL Server 2000はサポート対象外なので2005か2008に変更する必要があります。
http://www.microsoft.com/japan/sql/howtobuy/sqlonvista.mspx
インストーラを起動した時点で、サポート外のメッセージが表示されました。おそらく2000でも動作はすると思いますが。

Java

Vista上で古いJVMのタイムゾーンがGMTになる
という問題があるので、1.5.0_10以上に変更する必要があります。

Apache

いままで使っていたApache1.3.37は、サービスの起動時に以下の様なエラーが出て起動できませんでした。サービスでなければ正常に動作します。

ローカルコンピュータのApacheサービスは開始できません
エラー1067:プロセスを途中で強制終了しました。


こちらなどを見ると、ユーザアカウント制御(UAC)を無効にするとか、互換モードにするという方法がありますがダメでした。1.3.41でもダメで、2.2系に変更したところ起動するようになりました。UACは特に影響しないようです。

Tomcat

特に問題はないようです。